Skip to main content
PUT
/
api
/
governance
/
providers
/
{provider_name}
Error
A valid request URL is required to generate request examples
{
  "provider": "<string>",
  "budget": {
    "id": "<string>",
    "max_limit": 123,
    "reset_duration": "<string>",
    "calendar_aligned": false,
    "last_reset": "2023-11-07T05:31:56Z",
    "current_usage": 123,
    "config_hash": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "rate_limit": {
    "id": "<string>",
    "token_max_limit": 123,
    "token_reset_duration": "<string>",
    "token_current_usage": 123,
    "token_last_reset": "2023-11-07T05:31:56Z",
    "request_max_limit": 123,
    "request_reset_duration": "<string>",
    "request_current_usage": 123,
    "request_last_reset": "2023-11-07T05:31:56Z",
    "config_hash": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

provider_name
string
required

Provider name

Body

application/json

Request to update provider governance settings

budget
object

Budget configuration

rate_limit
object

Rate limit configuration

Response

Provider governance updated successfully

Response containing provider governance settings

provider
string

Provider name

budget
object

Budget configuration

rate_limit
object

Rate limit configuration